Bug 996306 - openvpn-2.3.1-3.el6.x86_64 client crashes with segfault when bridged
openvpn-2.3.1-3.el6.x86_64 client crashes with segfault when bridged
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora EPEL
Classification: Fedora
Component: openvpn (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 18:21 EDT by Jørn Åne
Modified: 2017-05-11 19:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-11 19:58:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jørn Åne 2013-08-12 18:21:56 EDT
Description of problem:
When running OpenVPN as a client and bridging the tap0 interface, the client crashes at what seems to be an increase in data transmitted over the bridge.

Version-Release number of selected component (if applicable):
openvpn-2.3.1-3.el6.x86_64
bridge-utils-1.2-10.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set up OpenVPN as a client with a tap device (not tun) and bridge the tap device with some other device, let's say eth3.
2. Make sure that this VPN tunnel is also bridged at the server side so that traffic can be sent over it.
3. When much traffic is being sent (in our case it was two Microsoft Windows Server Domain Controllers synchronising), the OpenVPN client process crashes with a segfault without writing anything in the log about it.

Actual results:
The OpenVPN client crashes with a segfault.

Expected results:
The OpenVPN client keeps running and keeps forwarding traffic from and to the bridge.

Additional info:
I solved the problem by downgrading to openvpn-2.2.2-1.el6.x86_64. The version run on the server doesn't change the results. Since the OpenVPN client doesn't log anything on crash, I can't include any relevant logs.
Comment 1 Gwyn Ciesla 2013-08-13 15:46:22 EDT
Can you try obtaining a backtrace?  You should be able to install openvpn-debuginfo, and then:

gdb /usr/sbin/openvpn --daemon --writepid /var/run/openvpn/%i.pid --cd /etc/openvpn/ --config %i.conf

replacing %i with the openvpn config name you use.  If it crashes and is missing needed debuginfo it will give you a debuginfo-install command line to run, do that and try again.  Then at the segfault, type bt all and copy and paste the output here.
Comment 2 David Sommerseth 2017-05-11 19:58:48 EDT
Is this still an issue?  We have recently released OpenVPN v2.4.2?  This does remind a bit of a few different bugs we've already fixed, but it is too little details to really know for sure.

I'm closing this now, but feel free to re-open if this is still an issue.

Note You need to log in before you can comment on or make changes to this bug.